=== debian/changelog ===
haproxy (2.4.29-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2112526)
    - This new version includes several bug fixes.
    - The SSL stack is now always completely initialized.
    - For further information, see the upstream release notes:
      + https://www.mail-archive.com/haproxy@formilux.org/msg44427.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg44784.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45071.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45416.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45810.html
  * d/p/CVE-2025-32464.patch: drop patch applied upstream

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 10 Oct 2025 11:50:23 -0300
