## haproxy 2.4.30

=== debian/changelog ===
haproxy (2.4.30-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:41:07 +0200

haproxy (2.4.30-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:38:34 +0200

haproxy (2.4.29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:53:20 +0200

haproxy (2.4.29-1) UNRELEASED; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:40:56 +0200

haproxy (2.4.28-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:05:10 +0100

haproxy (2.4.28-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:00:20 +0100

haproxy (2.4.27-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 21:41:55 +0200

haproxy (2.4.27-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 21:19:06 +0200

haproxy (2.4.26-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 16:22:40 +0200

haproxy (2.4.26-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 16:03:49 +0200

haproxy (2.4.25-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 16 Dec 2023 20:22:26 +0100

haproxy (2.4.25-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Dec 2023 15:10:38 +0100

haproxy (2.4.24-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 19 Aug 2023 12:52:04 +0200

haproxy (2.4.24-1) UNRELEASED; urgency=medium

  * New upstream release. Fix CVE-2023-40225.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Aug 2023 12:26:41 +0200

haproxy (2.4.23-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 10 Jun 2023 18:00:22 +0200

haproxy (2.4.23-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Jun 2023 17:42:50 +0200

haproxy (2.4.22-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Thu, 16 Feb 2023 23:00:56 +0100

haproxy (2.4.22-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Feb 2023 22:43:55 +0100

haproxy (2.4.21-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 13 Feb 2023 21:38:34 +0100

haproxy (2.4.21-2) UNRELEASED; urgency=medium

  * BUG/CRITICAL: http: properly reject empty http header field names
    (CVE-2023-25725).

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Feb 2023 21:21:05 +0100

haproxy (2.4.21-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 28 Jan 2023 14:17:48 +0100

haproxy (2.4.21-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Jan 2023 13:58:58 +0100

haproxy (2.4.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 09 Dec 2022 20:42:40 +0100

haproxy (2.4.20-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Dec 2022 20:24:18 +0100

haproxy (2.4.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Sep 2022 09:31:39 +0200
