## haproxy 2.5.2

=== debian/changelog ===
haproxy (2.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Feb 2022 19:09:04 +0100

haproxy (2.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jan 2022 19:23:50 +0100

haproxy (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: patch to make logging work without rsyslog with systemd

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Nov 2021 21:20:30 +0100
