## haproxy 2.6.7

=== debian/changelog ===
haproxy (2.6.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 02 Dec 2022 22:42:26 +0100

haproxy (2.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Dec 2022 22:20:15 +0100

haproxy (2.6.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Oct 2022 10:19:03 +0200

haproxy (2.6.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Sep 2022 22:20:42 +0200

haproxy (2.6.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Sep 2022 20:22:23 +0200

haproxy (2.6.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2022 19:59:08 +0200

haproxy (2.6.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2022 19:33:51 +0200

haproxy (2.6.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 22 Aug 2022 19:21:30 +0200

haproxy (2.6.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 22 Aug 2022 19:01:25 +0200

haproxy (2.6.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 19 Aug 2022 19:34:21 +0200

haproxy (2.6.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 19 Aug 2022 19:16:11 +0200

haproxy (2.6.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jul 2022 18:40:48 +0200

haproxy (2.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jul 2022 18:21:43 +0200

haproxy (2.6.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Jun 2022 20:33:30 +0200

haproxy (2.6.1-1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * d/t/utils: add helper functions to be re-used in tests
  * d/t/proxy-localhost: refactor to use the check_index_file helper function
  * d/t/proxy-ssl-termination: add test for the SSL termination proxy feature
  * d/t/proxy-ssl-pass-through: add test for the SSL Pass-Through proxy feature

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Jun 2022 20:06:08 +0200

haproxy (2.6.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Jun 2022 23:14:38 +0200

haproxy (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Jun 2022 08:49:38 +0200

haproxy (2.5.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 May 2022 12:18:52 +0200

haproxy (2.5.7-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 May 2022 12:01:07 +0200

haproxy (2.5.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Apr 2022 18:34:02 +0200

haproxy (2.5.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Apr 2022 17:59:23 +0200

haproxy (2.5.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Mar 2022 19:44:30 +0100

haproxy (2.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Mar 2022 19:26:46 +0100

haproxy (2.5.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Feb 2022 17:54:51 +0100

haproxy (2.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Feb 2022 17:39:11 +0100

haproxy (2.5.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Feb 2022 20:37:32 +0100

haproxy (2.5.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Feb 2022 20:22:25 +0100

haproxy (2.5.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Feb 2022 19:25:50 +0100

haproxy (2.5.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jan 2022 19:38:45 +0100

haproxy (2.5.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Nov 2021 08:36:12 +0100
